Subject: [bug#55242] [PATCH 08/10] guix: import: go: Modules in a subdir and prefixed tags.

From: Maxime Devos <[email-masked]>
Date: Tue, 03 May 2022 18:42:18 +0200

Attila Lendvai schreef op di 03-05-2022 om 13:42 [+0200]:
> -                         'unknown-license!)))
> +                         (begin
> +                           (warning (G_ "Failed to identify license ~S.~%")
> +                                    license)

Why only for the Go importer and not other importers?
Maybe the behaviour of other importers in presence of unidentifiable
licenses could be unified, with some common support procedure or
something.  Then only a single location needs to be modified to change
things, and all importers would benefit.

> +                           ;; This will put the license there as a string that
> +                           ;; will error at compilation.
> +                           license))))

I don't think this is correct, in the past I've put '(foobar) and
#false in 'license' fields of packages and those packages could be
compiled, without any compilation issues.  I assume the same holds for
strings as well.

Greetings,
Maxime.